# Uses of Class
org.apache.jute.compiler.JType

Packages that use JType
Package
Description
org.apache.jute.compiler
This package contains classes needed for code generation from the hadoop record compiler.
org.apache.jute.compiler.generated
This package contains code generated by JavaCC from the Hadoop record syntax file rcc.jj.

## Uses of JType in org.apache.jute.compiler

Subclasses of JType in org.apache.jute.compiler
Modifier and Type
Class
Description
`class`
`JBoolean`
`class`
`JBuffer`
`class`
`JByte`
`class`
`JDouble`
`class`
`JFloat`
`class`
`JInt`
`class`
`JLong`
`class`
`JMap`
`class`
`JRecord`
`class`
`JString`
`class`
`JVector`
Methods in org.apache.jute.compiler that return JType
Modifier and Type
Method
Description
`JType`
JVector.`getElementType()`
`JType`
JField.`getType()`
Constructors in org.apache.jute.compiler with parameters of type JType
Modifier
Constructor
Description
``
`JField(JType type, String name)`
Creates a new instance of JField.
``
`JMap(JType t1, JType t2)`
Creates a new instance of JMap.
``
`JVector(JType t)`
Creates a new instance of JVector.

## Uses of JType in org.apache.jute.compiler.generated

Methods in org.apache.jute.compiler.generated that return JType
Modifier and Type
Method
Description
`final JType`
Rcc.`Type()`